package com.bizmatics.mhfire.model.bulehelp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author liangcy
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RobotQuestionMessageRecord implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String openid;

    private Integer messageId;

    /**
     * 留言内容
     */
    private String content;

    private String username;

    private String phoneNo;

    private String maskedPhoneNo;

    private LocalDateTime createTime;

    private LocalDateTime lastUpdTime;

    /**
     * 状态
     */
    private String s;

    /**
     * 审核原由
     */
    private String reason;

    private RobotQuestionMessage robotQuestionMessage;


}
